//************************************************************************
//
//	OICNSTableHeaderCell.h
//
//	by Juergen Moellenhoff <jm@oic.de>		
//
//
//	This code is supplied "as is" the author makes no warranty as to its 
//	suitability for any purpose.  This code is free and may be distributed 
//	in accordance with the terms of the:
//		
//			GNU GENERAL PUBLIC LICENSE
//			Version 2, June 1991
//			copyright (C) 1989, 1991 Free Software Foundation, Inc.
// 			675 Mass Ave, Cambridge, MA 02139, USA
//
//************************************************************************

#import <AppKit/NSTableHeaderCell.h>

@class NSButtonCell;

@interface OICNSTableHeaderCell:NSTableHeaderCell <NSCopying, NSCoding>
{
@protected
	NSComparisonResult	_ordering;
	NSButtonCell		*_orderingCell;
}

// Class methods
+ (void)initialize;

// Create/Destroy
- initTextCell:(NSString *)aString;
- (void)dealloc;

// NSCoding protocol
- (id)initWithCoder:(NSCoder *)aDecoder;
- (void)encodeWithCoder:(NSCoder *)aCoder;

// NSCopying protocol
- copyWithZone:(NSZone*)z;

// Display
- (void)drawInteriorWithFrame:(NSRect)cellFrame inView:(NSView *)controlView;

// Set/Get methods
- (void)setOrderingCell:theCell;
- orderingCell;

- (void)setOrdering:(NSComparisonResult)newOrdering;
- (NSComparisonResult)ordering;

@end
