//************************************************************************
//
//	OICNSTableColumnInspector.h
//
//	by Juergen Moellenhoff <jm@oic.de>		
//
//
//	This code is supplied "as is" the author makes no warranty as to its 
//	suitability for any purpose.  This code is free and may be distributed 
//	in accordance with the terms of the:
//		
//			GNU GENERAL PUBLIC LICENSE
//			Version 2, June 1991
//			copyright (C) 1989, 1991 Free Software Foundation, Inc.
// 			675 Mass Ave, Cambridge, MA 02139, USA
//
//************************************************************************

#import	<OICInterface/OICNSTableColumn.h>

#import <InterfaceBuilder/InterfaceBuilder.h>
#import <InterfaceBuilder/IBInspectorManager.h>

@interface OICNSTableColumnInspector:IBInspector
{
@public
	id	orderingMatrix;
	id	dataCellMatrix;
	id	caseInsensitiveSwitch;
}

+ (void)addInspectorForObject:object;

+ (void)addInspectorForDataCell:aCell;
+ (void)removeInspectorForDataCell;

- init;

- (void)ok:sender;
- (void)revert:sender;
- (BOOL)wantsButtons;

@end

@interface OICNSTableColumn(C_OICNSTableColumnIBAdds)

- (void)setTableView:(NSTableView *)aTableView;
- awakeAfterUsingCoder:(NSCoder *)aDecoder;

@end

@interface IBInspectorManager(C_IBInspectorManagerAdds)

- (void)removeInspectorModeWithIdentifier:(NSString *)identifier;

@end

@interface IBInspectorManager(C_IBInspectorManagerPrivate)

- (unsigned int)indexOfModeWithIdentifier:(NSString *)identifier;

@end

