//************************************************************************
//
//	OICDataCellInspectorMode.m
//
//	by Juergen Moellenhoff <jm@oic.de>		
//
//
//	This code is supplied "as is" the author makes no warranty as to its 
//	suitability for any purpose.  This code is free and may be distributed 
//	in accordance with the terms of the:
//		
//			GNU GENERAL PUBLIC LICENSE
//			Version 2, June 1991
//			copyright (C) 1989, 1991 Free Software Foundation, Inc.
// 			675 Mass Ave, Cambridge, MA 02139, USA
//
//************************************************************************

#import "OICDataCellInspectorMode.h"
#import	"IBAttributesInspectorMode.h"

@implementation OICDataCellInspectorMode

- (NSString *)modeIdentifier
{
    return @"OICDataCellInspectorMode";
}

- object
{
    return [[NSApp selectedObject] dataCell];
}

- (NSString *)localizedLabel
{
    return NSLocalizedStringFromTableInBundle(@"OICDATACELL", @"OICInspectorMode", 
			[NSBundle bundleForClass:[self class]], nil);
}

- (NSString *)inspectorClassName
{
 	NSString	*cellInspectorClassName;

	if ((cellInspectorClassName = [[self object] inspectorClassName]) == nil)
		cellInspectorClassName = [IBAttributesInspectorMode inspectorClassNameForObject:[self object]];

	// I love the NSComboBox... it's such a nice UI element... 
	// with such a nice Inspector... and such a nice class design
	// The inspector works (original) only for NSComboBox objects...
	// and so I need a trick for the NSComboBoxCell
	if ([[self object] isKindOfClass:[NSComboBoxCell class]])
		cellInspectorClassName = @"IBComboBoxInspector";

	return cellInspectorClassName;
}

- (float)ordering;
{
    return 2.5;
} 

@end

//
// I love the NSComboBox... it's such a nice UI element... with such a nice Inspector... and such a nice class design
//
@implementation NSComboBoxCell(C_NSComboBoxCellIBAdds)

// I need this methods to get the inspector to work...
- (NSRect)frame
{
	return NSMakeRect(0, 0, 0, 0);
}

- cell
{
	return self;
}

@end

#if	0
@implementation NSButtonCell(C_NSButtonCellIBAdds)

- (void)setObjectValue:object
{
	[super setObjectValue:object];

	if ([object respondsToSelector:@selector(stringValue)])
		[self setTitle:[object stringValue]];
}

- objectValue
{
	return [self title];
}

@end
#endif
